### Method

# Qmi Device set_expected_data_format

since: 1.14

#### Declaration [src]

    gboolean
    qmi_device_set_expected_data_format (
      QmiDevice* self,
      QmiDeviceExpectedDataFormat format,
      GError** error
    )

#### Description [src]

Configures the data format currently expected by the kernel in the network interface.

<note><para> This method is only applicable when using the qmi_wwan kernel driver. </para></note>.

Available since: 1.14

#### Parameters

`format`

  Type: `QmiDeviceExpectedDataFormat`

  A known `QmiDeviceExpectedDataFormat`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful, or `FALSE` if `error` is set.